package com.madeu.crm.kiosk.service;

import java.util.HashMap;

public interface KioskService {
	public HashMap<String, Object> getTreatmentOptionList(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> getCategoryList(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> getCategoryItem(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> getUserOptionList(HashMap<String, Object> paramMap) throws Exception;	
	public HashMap<String, Object> putUser(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> getUser(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> getWorkTime(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> getTreatmentProcedureOptionList(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> getMemberDoctorConsultingOptionList(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> getMemberList(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> getReserveUserOptionList(HashMap<String, Object> paramMap) throws Exception;
}
